<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:sofa="http://schema.alipay.com/sofa/schema/slite"
       xmlns:context="http://www.springframework.org/schema/context"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
        http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
        http://schema.alipay.com/sofa/schema/slite http://schema.alipay.com/sofa/slite.xsd http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">
    <import resource="classpath:META-INF/aprouter-client/*.xml" />

    <!-- Implementation of the service -->
    <bean id="sampleService" class="xyz.mynt.gctraining2.service.SampleServiceImpl"/>

    <!-- Sofa service -->
    <sofa:service interface="xyz.mynt.gctraining2.facade.SampleService" ref="sampleService">
        <sofa:binding.bolt/>
    </sofa:service>


    <!-- Implementation of the service -->
    <bean id="gcRouterService" class="xyz.mynt.gctraining2.service.authentication.AuthenticationServiceImpl"/>

    <!-- Sofa service -->
    <sofa:service interface="xyz.mynt.gctraining2.facade.authentication.AuthenticationService" ref="gcRouterService">
        <sofa:binding.bolt/>
    </sofa:service>

    <!-- Implementation of the service -->
    <bean id="finalExamPayGcRouterService" class="xyz.mynt.gctraining2.service.pay.FinalExamPayServiceImpl"/>

    <!-- Sofa service -->
    <sofa:service interface="xyz.mynt.gctraining2.facade.pay.FinalExamPayService" ref="finalExamPayGcRouterService">
        <sofa:binding.bolt/>
    </sofa:service>

    <!-- gcUser bean -->
    <sofa:reference id="userQueryFacade" interface="xyz.mynt.user.facade.UserQueryFacade">
        <sofa:binding.tr>
            <sofa:global-attrs timeout="60000"/>
        </sofa:binding.tr>
    </sofa:reference>

    <!-- Message Listener -->
    <sofa:reference id="messageSendService" interface="com.alipay.fc.gotone.common.service.MessageSendService">
        <sofa:binding.tr>
            <sofa:global-attrs timeout="60000"/>
        </sofa:binding.tr>
    </sofa:reference>

    <bean id="myBatisDao" class="xyz.mynt.gctraining2.dal.mybatis.UsernameAndPassMybatisDAO"/>

    <bean class="com.alipay.ap.router.client.RouterApiConfig">
        <property name="packagesToScan">
            <list>
                <value>xyz.mynt.gctraining2.*</value>
            </list>
        </property>
    </bean>
</beans>